
QGIS Application - Bug report #20455

Widget Value Relation

2018-11-11 07:52 PM - Lene Fischer

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Forms

Affected QGIS version:3.4.1 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28275

Description

I have made a project with a point layer and two lookup tables: Group and Subgroup in the Subgroup tabel is listed 'group', 'subgroup' and

'label'

In the Layer properties >Attriute Form > Widget type >Value Relation I have made settings to lookup in the 'Group' lookup and the sub

group.

That works fine. The first group and subgroup is shown. If I choose a new Group the new subgroup item are shown.

But the 'label' is not set correct. All the features in the table are shown.

If I choose a new group and subgroup the label are set - but only if the subgroup consist of more than one item.

I have made a video https://www.screencast.com/t/mKEjlmfBIxFK

Associated revisions

Revision d479b4dc - 2018-11-12 04:41 PM - Alessandro Pasotti 

Emit valueChanged when a widget value changes as a consequence of another widget changed

Fix #20455

History

#1 - 2018-11-11 08:54 PM - Alessandro Pasotti

I can't see the screencast (no flash player here since a long time).

#2 - 2018-11-11 08:55 PM - Alessandro Pasotti

Also, if you could attach a sample project and data, that would be perfect.

#3 - 2018-11-11 09:00 PM - Lene Fischer

- File hilleroed_lille_omraade.gpkg added

- File froedal_delvis.qgs added

#4 - 2018-11-11 09:06 PM - Lene Fischer

Video https://www.youtube.com/watch?v=aX3dpKyfQY4&#38;feature=youtu.be
#5 - 2018-11-12 04:22 PM - Alessandro Pasotti

- Status changed from Open to Feedback

Hi Lene,

I may have a fix for this issue, would you be able to test a windows build? (I can quickly package and send you a test build but without python support).

#6 - 2018-11-12 05:13 PM - Alessandro Pasotti

- Category changed from Relations to Forms

- Pull Request or Patch supplied changed from No to Yes

- Status changed from Feedback to In Progress

PR https://github.com/qgis/QGIS/pull/8464

#7 - 2018-11-12 05:20 PM - Alessandro Pasotti

Here is the windows test build, no need to install, just unzip somewhere and run qgis.exe, remove the folder to uninstall.

http://www.itopen.it/bulk/qgis-mxe-release-2018-11-12-15-03-01.zip

What to test:

- the original project attached to this ticket

- how does it work with new and existing features

#8 - 2018-11-12 07:53 PM - Lene Fischer

Thanks!!!! Now it works :-)

#9 - 2018-11-13 09:13 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|d479b4dcbc60b9c7b86175078c01c8e244258b38.

Files

froedal_delvis.qgs 100 KB 2018-11-11 Lene Fischer

hilleroed_lille_omraade.gpkg 508 KB 2018-11-11 Lene Fischer
